diff --git a/CHANGELOG b/CHANGELOG
index a742c27..8b41e9a 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -9,6 +9,7 @@
 - correct hesiod library check in configure (Guillaume Rousse).
 - drop "DEFAULT_" prefix from configuration names (Guillaume Rousse).
 - remove redundant ident macros.
+- various configure cleanups (Richard Daniel).
 
 20/2/2007 autofs-5.0.1
 ----------------------
diff --git a/Makefile b/Makefile
index 071b1ae..e560a7c 100644
--- a/Makefile
+++ b/Makefile
@@ -50,6 +50,7 @@ backup: mrproper
 
 configure: configure.in aclocal.m4
 	autoconf
+	autoheader
 	rm -rf config.* *.cache
 
 configure.in: .version
diff --git a/Makefile.conf.in b/Makefile.conf.in
index a741a8f..ea5fe1d 100644
--- a/Makefile.conf.in
+++ b/Makefile.conf.in
@@ -80,3 +80,5 @@ mandir = @mandir@
 # Location for init.d files
 initdir = @initdir@
 
+# This is here just to keep config.status quiet
+UNUSED_datarootdir = @datarootdir@
diff --git a/configure.in b/configure.in
index e63e6c9..1494403 100644
--- a/configure.in
+++ b/configure.in
@@ -274,7 +274,7 @@ AC_ARG_ENABLE(mount-locking,
 [  --disable-mount-locking disable use of locking when spawning mount command],,
 	enableval=yes)
 if test x$enable_mount_locking = xyes -o x$enableval = xyes; then
-	AC_DEFINE(ENABLE_MOUNT_LOCKING, 1)
+	AC_DEFINE(ENABLE_MOUNT_LOCKING, 1, [Disable use of locking when spawning mount command])
 fi
 
 #
@@ -285,7 +285,7 @@ AC_ARG_ENABLE(forced-shutdown,
 			  busy mounts during shutdown],,
 	enableval=no)
 if test x$enable_forced_shutdown = xyes -o x$enableval = xyes; then
-	AC_DEFINE(ENABLE_FORCED_SHUTDOWN, 1)
+	AC_DEFINE(ENABLE_FORCED_SHUTDOWN, 1, [Enable forced shutdown on USR1 signal])
 fi
 
 #
@@ -296,7 +296,7 @@ AC_ARG_ENABLE(ignore-busy,
 			  shutdown],,
 	enableval=no)
 if test x$enable_ignore_busy_mounts = xyes -o x$enableval = xyes; then
-	AC_DEFINE(ENABLE_IGNORE_BUSY_MOUNTS, 1)
+	AC_DEFINE(ENABLE_IGNORE_BUSY_MOUNTS, 1, [Enable exit, ignoring busy mounts])
 fi
 
 #
